OpenThreads::ReverseScopedLock< M > Class Template Reference

`#include <ScopedLock>`

## Public Member Functions

| ReverseScopedLock (M &m)
| ~ReverseScopedLock ()

## Constructor & Destructor Documentation

## ReverseScopedLock()

template<class M>

OpenThreads::ReverseScopedLock< M >::ReverseScopedLock | ( | M & | m | ) |

inline explicit

## ~ReverseScopedLock()

template<class M>

OpenThreads::ReverseScopedLock< M >::~ReverseScopedLock | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- ScopedLock